Skip to main content
GET
/
api
/
v2
/
projects
/
{projectKey}
/
release-pipelines
/
{pipelineKey}
/
releases
Get release progressions for release pipeline
curl --request GET \
  --url https://app.launchdarkly.com/api/v2/projects/{projectKey}/release-pipelines/{pipelineKey}/releases \
  --header 'Authorization: <api-key>'
{
  "activeCount": 3,
  "completedCount": 1,
  "items": [
    {
      "_createdAt": "1684262711507",
      "flagKey": "flag-key-123abc",
      "_links": {},
      "_completedAt": "1684262711509",
      "activePhaseId": "1234a56b7c89d012345e678f"
    }
  ],
  "phases": [
    {
      "_id": "1234a56b7c89d012345e678f",
      "name": "Phase 1 - Testing",
      "releaseCount": 2
    }
  ],
  "totalCount": 8,
  "_links": {}
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

projectKey
string<string>
required

The project key

pipelineKey
string<string>
required

The pipeline key

Query Parameters

filter
string<string>

Accepts filter by status and activePhaseId. status can take a value of completed or active. activePhaseId takes a UUID and will filter results down to releases active on the specified phase. Providing status equals completed along with an activePhaseId filter will return an error as they are disjoint sets of data. The combination of status equals active and activePhaseId will return the same results as activePhaseId alone.

limit
integer<int64>

The maximum number of items to return. Defaults to 20.

offset
integer<int64>

Where to start in the list. Defaults to 0. Use this with pagination. For example, an offset of 10 skips the first ten items and then returns the next items in the list, up to the query limit.

Response

Release progression collection

activeCount
integer
required

The number of active releases

Example:

3

completedCount
integer
required

The number of completed releases

Example:

1

items
object[]
required

A list of details for each release, across all flags, for this release pipeline

phases
object[]
required

A list of details for each phase, across all releases, for this release pipeline

totalCount
integer
required

The total number of releases for this release pipeline

Example:

8

The location and content type of related resources